Subject: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Oct 2021 20:41:54 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 21 Oct 2021 20:27:03 +0300
> 
> >>   (add-hook 'tab-bar-format 'ignore 1)
> >>
> >> and everything still works fine.
> >
> > I'm afraid this doesn't help me.  The doc strings says:
> >
> >   Every item in the list is a function that returns
> >   a string, or a list of menu-item elements, or nil.
> >
> > I now have a good idea what to say about return values that are
> > strings and those that are lists of menu items.  What do I say about
> > return values of nil? what is their effect on the tab bar's
> > appearance?  Are you saying that there's no effect whatsoever?
> 
> The nil value is supported only for the case when a function
> is on the tab-bar-format list, but its return value depends
> on some variable, and on some conditions might return nil.
> 
> An example is tab-bar-format-history: when tab-bar-history-mode
> is nil, then tab-bar-format-history returns nil, but it doesn't break
> the tab bar.

OK, but what I want to say is what effect do such functions have on
the tab bar appearance when they return nil?  It sounds like you say
that the appearance is not affected in any way in that case?